\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Spherical Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Enumerations
Geometric Kernel and Classes
3D Spherical Geometry Kernel Reference

##

## Classes
class | CGAL::Circular_arc_3< SphericalKernel >
class | CGAL::Circular_arc_point_3< SphericalKernel >
class | CGAL::Exact_spherical_kernel_3
| A typedef to a spherical kernel that provides both exact geometric predicates and exact geometric constructions. More...
class | CGAL::Line_arc_3< SphericalKernel >
class | CGAL::Spherical_kernel_3< Kernel, AlgebraicKernelForSpheres >

## Enumerations
enum | CGAL::Circle_type { CGAL::NORMAL, CGAL::THREADED, CGAL::POLAR, CGAL::BIPOLAR }
| The enum `Circle_type` is used to classify an object of type `Circle_3`, so as to specify its type (normal,polar,bipolar or threaded), as defined in Section Spherical Kernel Objects. More...

## Enumeration Type Documentation

enum CGAL::Circle_type

The enum `Circle_type` is used to classify an object of type `Circle_3`, so as to specify its type (normal,polar,bipolar or threaded), as defined in Section Spherical Kernel Objects.

See Also
  `CGAL::classify()`

`#include <CGAL/Circle_type.h>`

Enumerator
NORMAL |
THREADED |
POLAR |
BIPOLAR |